<template>
  <div class="row w-full m-0 p-0">
    <div class="col-sm-12 col-md-6 col-lg-6 m-0 p-1 flex justify-center" v-for="(item,index) in (book != null ? book.chapters :[])">
      <ChapterEditor class="w-full" :chapter="item" :bookId="bookId" v-bind:id="item.id"/>
    </div>
  </div>
</template>

<script>
  import {mapGetters,mapActions,mapMutations} from 'vuex'
  import ChapterEditor from '~/components/ChapterEditor.vue'
    export default {
      components:{
        ChapterEditor
      },
      name: "Chapters",
      props:['bookId'],
      data() {
        return {
          book:null
        }
      },
      computed: {
        ...mapGetters({
          bookRF:'Books/getBookRF'
        })
      },
      created(){

      },
      mounted(){
        this.bookRF(this.bookId).on('value',this.onBookChanged)

      },
      methods:{

        onBookChanged(snapshot) {
          this.book = snapshot.val()
        }
        ,
        getBook(){
          var b = this.books[this.bookId]
          //var b = Object.assign({},this.books[this.bookId])
          console.log('book in chapters',b)
          return b || []
        },
      }
    }
</script>

<style scoped>

</style>
